Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1065595 - [RFE][nova]: Persistent resource claims
Summary: [RFE][nova]: Persistent resource claims
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: RFEs
Version: unspecified
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
: ---
Assignee: RHOS Maint
QA Contact:
URL: https://blueprints.launchpad.net/nova...
Whiteboard: upstream_milestone_none upstream_stat...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-15 05:02 UTC by RHOS Integration
Modified: 2016-02-08 17:15 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-03-19 17:20:04 UTC


Attachments (Terms of Use)

Description RHOS Integration 2014-02-15 05:02:05 UTC
Cloned from launchpad blueprint https://blueprints.launchpad.net/nova/+spec/persistent-resource-claim.

Description:

Currently when resource claimed in compute node, the resource tracker will not keep the claim object, it will only change the resource information and save the updated resource information to DB. In each periodic time, the resource tracker will recalculate the resource usage for each instance. This BP will try to persistent the claim into DB, and keep the claim as the instance request. It will simplify the recalculation and also bring other benefit as stated in the spec.

Specification URL (additional information):

None


Note You need to log in before you can comment on or make changes to this bug.